// Fill out your copyright notice in the Description page of Project Settings.

#include "Phone.h"
#include "Faye/Inventory/Inventory.h"

APhone::APhone()
{
	PrimaryActorTick.bCanEverTick = true;
}

void APhone::BeginPlay()
{
	Inventory = NewObject<UInventory>(this);
	Super::BeginPlay();
}

void APhone::Tick(float DeltaTime)
{
	Super::Tick(DeltaTime);
}

UInventory* APhone::GetInventory_Implementation() const
{
	return Inventory;
}

